## gosmore 0.0.0.20100711

=== debian/changelog ===
gosmore (0.0.0.20100711-2.1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/linker_flags.diff: Reordered linker parameters
      to avoid problem with GCC-4.6. (Closes: #631251)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 16 Feb 2014 22:48:09 +0100

gosmore (0.0.0.20100711-2.1) unstable; urgency=low

  * Non-Maintainer Upload to fix RC bug
  * Applied patch from Ubuntu (LP: #937088), restricting compiler
    optimization with -fno-strict-overflow to fix starting with an endless loop.
    (closes: #652084)

 -- Kai Lüke <kailueke@riseup.net>  Fri, 14 Sep 2012 16:29:04 +0200

gosmore (0.0.0.20100711-2ubuntu2) quantal; urgency=low

  * set -fno-strict-overflow to prevent busy loop on startup (LP: #937088)

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 30 Jun 2012 20:17:48 +0200

gosmore (0.0.0.20100711-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Add linker_flags.diff: Reordered linker parameters to avoid problem
      with GCC-4.6

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Dec 2011 20:08:42 +0100

gosmore (0.0.0.20100711-2) unstable; urgency=low

  * Moved repository to git.
  * Changed Vcs-* fields in debian/control.
  * Source format moved to 3.0 and quilt support.
  * Added a patch to remove curl/types.h inclusion.
    (closes: #637704)
  * Policy bumped to 3.9.2. No changes.
  * Debhelper level set to 8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 03 Nov 2011 16:01:09 +0100

gosmore (0.0.0.20100711-1ubuntu1) oneiric; urgency=low

  * Makefile.in: Reordered linker parameters to avoid problem with 
    GCC-4.6 (LP: #770751)

 -- Sebastian Carneiro <scarneiro@fibertel.com.ar>  Sun, 10 Jul 2011 18:17:12 +0200

gosmore (0.0.0.20100711-1) unstable; urgency=low

  * New upstream snapshot fetched for svn, revision: 22284
    This version introduces changes for compatibility with recent gpsd
    versions and protocols. Thanks Bernd Zeimetz.
  * Policy bumped to 3.9.0. No changes.
  * Now build system uses autoconf.
  * Added new libcurl4-gnutls-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Jul 2010 11:24:32 +0200

gosmore (0.0.0.20090624-1) unstable; urgency=low

  * New upstream snapshot fetched from svn, revision 16088. (Closes: #533372)
  * debian/rules get-orig-source:
    - Remove debian/ dir.
    - Ignore externals in svn export command.
  * Removed 10-findresources.dpatch, applied upstream.
  * Mentioned ConvertUTF.c, elemstyles.xml and icons.* in debian/copyright.
  * Added a note to the long description that gosmore needs additional
    data files. (Closes: #491842)
  * Dropped dependency on libgps-dev, gosmore tries to parse NMEA sentences
    on its own. (Closes: #524042)
  * Removed dpatch build-dependency and debian/patches since there are
    no patches currently.
  * Bumped policy to 3.8.2, without changes.
  * Added DM-Upload-Allowed to debian/control.
  * Removed build-dependency on flite-dev, feature has been removed.
  * Bumped debhelper compatibility level to 7. 

 -- Andreas Putzo <andreas@putzo.net>  Wed, 24 Jun 2009 20:32:38 +0000

gosmore (0.0.0.20080704-1) unstable; urgency=low

  [ Andreas Putzo ]
  * New upstream snapshot fetched from svn, revision 8034.
    (Closes: #487711, #479985)
  * Backported patch 10-findresources to search for files.
    not only in the current directory.
  * Adapt CFLAGS in debian/rules.
  * Added gosmore.install file.
  * Bumped Standards-Version to 3.8.0. 
  * Added myself to Uploaders.
  * Added missing build dependency on libxml2-dev.

  [ Petter Reinholdtsen ]
  * Add josm as suggests.
  * Add get-orig-source target to the rules file.

 -- Andreas Putzo <andreas@putzo.net>  Sat, 05 Jul 2008 13:36:39 +0000

gosmore (0.0.0.20070901-3) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Debhelper compatibility level bumped to 5.
  * Policy bumped to 3.7.3 without changes.
  * Added Vcs-* fields into debian/control.
  * Added Homepage field in debian/control.

  [ Petter Reinholdtsen ]
  * Add Francesco Paolo Lovergine as uploader.
  * Acknowledge NMU (Closes: #454519, #456843)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 13:10:26 +0100

gosmore (0.0.0.20070901-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - Removing 10_bad_gpsd_header.dpatch as the package FTBFS whith the
      applied patch, which was a workaround for a bug in libgps-dev.
      (Closes: #454519, #456843)
  * debian/control:
    - Changing the libgps-dev build dependency to require a version
      >= 2.34.dfsg-5 as the package will FTBFS with lower versions.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 18 Dec 2007 23:54:29 +0100

gosmore (0.0.0.20070901-2) unstable; urgency=low

  * Change build-depend on gpsd to libgps-dev (>= 2.34.dfsg-3) | gpsd
    (<< 2.34.dfsg-1) to work with the new gpsd package while still
    allowing backports. (Closes: #447168)
  * Building with new gpsd will avoid duplicate dependency. (Closes:
    #440383)
  * New patch 10_bad_gpsd_header.dpatch to make sure the defines
    required by gps.h is set during compilation.  Add dpatch as
    build-depend to get the patch applied.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  1 Nov 2007 11:26:55 +0100

gosmore (0.0.0.20070901-1) unstable; urgency=low

  * New upstream version.
    - Fix buffer overflow in route finding code. (Closes: #439732)
  * Change priority from important to optional.  The important
    priority was the result of a cut-n-paste error. (Closes: #439607)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Sep 2007 13:01:38 +0200

gosmore (0.0.0.20070819-1) unstable; urgency=low

  * Initial Release. (Closes: #436039)
  * Added menu entry based on the one in qgis.  Change menu section
    from Apps/Science to Applications/Science/Geoscience, to match
    new menu proposal.
  * Make the Debian GIS group the maintainer, and myself an uploader.

