=== debian/control ===
Source: gosmore
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8), cdbs, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.2
Homepage: http://wiki.openstreetmap.org/index.php/Gosmore
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gosmore.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gosmore.git

Package: gosmore
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gpsd
Suggests: josm
Description: Openstreetmap.org viewer / wayfinder / search client
 Gosmore is a openstreetmap.org viewer and wayfinder with support for
 speech syntesis and fetching the current location from gpsd.
 .
 This package requires additional data files which can be downloaded
 freely from openstreetmap.org.
