## gosmore 0.0.0.svn30327

=== debian/changelog ===
gosmore (0.0.0.svn30327-1) unstable; urgency=medium

  * Team upload.

  [ Ross Gammon ]
  * New upstream SVN snapshot
  * Move to debhelper compat level 9
  * Refresh patches
  * Update control file using cme fix
  * Switch to debhelper from cdbs
  * Drop redundant gosmore.dirs file
  * Redo copyright file in copyright-format 1.0
  * Add a gbp.conf file
  * Add upstream metadata
  * Add myself to uploaders
  * Unapply patches from source
  * Acknowledge NMU from Kai Lüke
  * Reorder library parameters in Makefile
    Thanks to Sebastian Carneiro (Closes: #631251)
  * Fix spelling mistake in package description
    Thanks to Reuben Thomas (Closes: #639224)

  [ Bas Couwenberg ]
  * Enable parallel builds.
  * Update Vcs-Git URL to use HTTPS.
  * Enable all hardening buildflags.
  * Add patch to fix desktop file issues.
  * Install application icons in hicolor theme.
  * Use desktop file in favor of menu file per CTTE #741573.
  * Update copyright file, changes:
    - Switch license for project from public-domain to BSD-2-Clause
    - Update copyright years for Nic Roets
    - Update Files section for ConvertUTF files moved to jni directory
    - Use standalone license paragraphs
  * Drop curl_types.h patch, fixed upstream. Refresh remaining patches.
  * Update openstreetmap.org URLs to use HTTPS.
  * Bump Standards-Version to 3.9.8, changes:
    - copyright-format 1.0
    - Vcs-* URLs
    - hicolor icons
  * Add path by Alexander to fix FTBFS with clang instead of gcc.
    (closes: #756077)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 13:32:30 +0200
