=== debian/control ===
Source: gosmore
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Ross Gammon <rossgammon@mail.dk>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               libgtk2.0-dev,
               libxml2-dev,
               libcurl4-gnutls-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gosmore.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gosmore.git
Homepage: https://wiki.openstreetmap.org/wiki/Gosmore

Package: gosmore
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gpsd
Suggests: josm
Description: Openstreetmap.org viewer / wayfinder / search client
 Gosmore is a openstreetmap.org viewer and wayfinder with support for
 speech synthesis and fetching the current location from gpsd.
 .
 This package requires additional data files which can be downloaded
 freely from openstreetmap.org.
