=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#DESTDIR := $(CURDIR)/debian/gosmore
#DEB_MAKE_INSTALL_TARGET := DESTDIR=$(DESTDIR) prefix=/usr install

#CFLAGS := -DRES_DIR='\"/usr/share/gosmore/\"'

SVNREPO := https://svn.openstreetmap.org/applications/rendering/gosmore
SVNREV := 30327

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install

	chmod -x debian/*/usr/share/gosmore/*.wav \
	         debian/*/usr/share/pixmaps/*.xpm

get-orig-source:
	dh_testdir
	test -d ../tarballs/. || mkdir -p ../tarballs
	@echo Downloading gosmore from ${SVNREPO}
	svn -r $(SVNREV) --ignore-externals export ${SVNREPO} ../tarballs/gosmore-0.0.0.svn${SVNREV}
	@echo Removing debian dir
	rm -rf ../tarballs/gosmore-0.0.0.svn${SVNREV}/debian
	@echo Building snapshot tarball
	tar czf ../tarballs/gosmore_0.0.0.svn${SVNREV}.orig.tar.gz -C ../tarballs gosmore-0.0.0.svn${SVNREV}
	@echo Cleaning up
	rm -rf ../tarballs/gosmore-0.0.0.svn${SVNREV}
	@echo .
	@echo To update debian/changelog type
	@echo dch -v 0.0.0.svn${SVNREV}-1
	@echo .
